import 'package:freezed_annotation/freezed_annotation.dart';

part 'steward_free_bar_dashboard.freezed.dart';
part 'steward_free_bar_dashboard.g.dart';

@freezed
abstract class StewardFreeBarDashboard with _$StewardFreeBarDashboard {
  const factory StewardFreeBarDashboard({
     String? product,
    int? totalBars,
    double? totalQuantity,
    double? totalWeight,
  }) = _StewardFreeBarDashboard;

  factory StewardFreeBarDashboard.fromJson(Map<String, dynamic> json) =>
      _$StewardFreeBarDashboardFromJson(json);
}
